/*  TA3D, a remake of Total Annihilation
    Copyright (C) 2005  Roland BROCHARD

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA*/

#include <allegro.h>		// Allegro

#include <string.h>
#include <stdio.h>
#include "console.h"
#include "hpi.h"			// Moteur

int main(int argc,char *argv[])
{
allegro_init();

set_uformat(U_ASCII);		// Juste histoire d'avoir un affichage correct des textes

if(argc>=2) {
	if(strcasecmp(argv[1],"show")==0) {
		HPI_FILE hpi;
		hpi.load(argv[2]);
		hpi.show_struct(-1);
		hpi.destroy();
		}
	if(strcasecmp(argv[1],"extract")==0) {
		HPI_FILE hpi;
		hpi.load(argv[2]);
		hpi.extract(argv[3]);
		hpi.destroy();
		}
	}

allegro_exit();

return 0;
}
END_OF_MAIN();
